#!/usr/bin/bash
FOLDERS=$(cd slides/ ; echo *)

rm -f Makefile
echo -n 'all:' >> Makefile
for i in $FOLDERS ; do echo -n " $i.pdf" >> Makefile ; done
echo "" >> Makefile

for i in $FOLDERS ; do echo -e "$i.pdf:\n\tpandoc -t beamer -V theme:Warsaw -i slides/$i/$i.md -o slides/$i/$i.pdf\n" >> Makefile ; done

echo -ne "clean:\n\trm -f" >> Makefile
for i in $FOLDERS; do echo -n " slides/$i/$i.pdf" >> Makefile ; done
echo "" >> Makefile
